%define anolis_release 1
Name:           ethtool
Version:        6.3
Release:        %{anolis_release}%{?dist}
Epoch:          2
License:        GPLv2
Summary:        Settings tool for Ethernet NICs
URL:            https://www.kernel.org/pub/software/network/%{name}/
Source0:        https://www.kernel.org/pub/software/network/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  xz
BuildRequires:  gcc
BuildRequires:  libmnl-devel
BuildRequires:  make
Conflicts:      filesystem < 3

%description
This utility allows querying and changing settings such as speed,
port, auto-negotiation, PCI locations and checksum offload on many
network devices, especially of Ethernet devices.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%check
%make_build check

%files
%license COPYING LICENSE
%{_sbindir}/%{name}
%dir %{_datadir}/bash-completion/
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man8/%{name}.8*

%files doc
%doc AUTHORS ChangeLog* NEWS README

%changelog
* Fri May 12 2023 Funda Wang <fundawang@yeah.net> - 2:6.3-1
- New version 6.3

* Tue Nov 29 2022 hengqi.hq <hengqi@linux.alibaba.com> - 2:6.0-1
- update to 6.0

* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:5.19-1
- update to 5.19

* Wed Mar 09 2022 DengXiewei <dengxiewei@linux.alibaba.com> - 2:5.16-1
- Init from upstream 5.16
